Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Assignment

    java.lang.Object
      Assignment

    public class Assignment

extends java.lang.Object

Assignment store the information for a course assignment.

Version:
  1.2
Author:
  Fred Kral

Constructor Summary
`Assignment(java.lang.String rawData, plainDate pDate, Course course, java.lang.String assignmentName, java.lang.String type, java.lang.String description, java.lang.String files, java.lang.String value, java.lang.String result, java.lang.String comment, java.lang.String upload)` Assignments in a course live here.

Method Summary
`boolean` | `getActiveAssignment()`
`Course` | `getCourse()`
`plainDate` | `getPlainDate()`
`java.lang.String` | `getResult()`
`java.lang.String` | `getShortAssignmentName()`
`java.lang.String` | `getValue()`
`void` | `sysPrint()`
`void` | `sysPrintAll()`
`void` | `sysPrintRaw()`
`void` | `sysPrintValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assignment

    public Assignment(java.lang.String rawData,
                      plainDate pDate,
                      Course course,
                      java.lang.String assignmentName,
                      java.lang.String type,
                      java.lang.String description,
                      java.lang.String files,
                      java.lang.String value,
                      java.lang.String result,
                      java.lang.String comment,
                      java.lang.String upload)

  Assignments in a course live here. This is independent of the raw data file format.

  Parameters:
    `rawData` - is the unchanged or mended String from the input file
    `pDate` - holds the date information
    `course` - holds the course information for the person Everything else as listed in the parameter list is based on the raw data format.

Method Detail

### getActiveAssignment

    public boolean getActiveAssignment()

### getPlainDate

    public plainDate getPlainDate()

### getCourse

    public Course getCourse()

### getShortAssignmentName

    public java.lang.String getShortAssignmentName()

### getValue

    public java.lang.String getValue()

### getResult

    public java.lang.String getResult()

### sysPrint

    public void sysPrint()

### sysPrintAll

    public void sysPrintAll()

### sysPrintValue

    public void sysPrintValue()

### sysPrintRaw

    public void sysPrintRaw()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD